Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.termination
Class TimeMillisSpendTermination

    java.lang.Object
      org.drools.planner.core.termination.AbstractTermination
          org.drools.planner.core.termination.TimeMillisSpendTermination

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener, Termination

    public class TimeMillisSpendTermination

extends AbstractTermination

Field Summary

Fields inherited from class org.drools.planner.core.termination.AbstractTermination
`logger`

Constructor Summary
`TimeMillisSpendTermination()`

Method Summary
`double` | `calculatePhaseTimeGradient(AbstractSolverPhaseScope solverPhaseScope)` See `Termination.calculateSolverTimeGradient(DefaultSolverScope)`.
`double` | `calculateSolverTimeGradient(DefaultSolverScope solverScope)` A timeGradient is a relative estimate of how long the search will continue.
`boolean` | `isPhaseTerminated(AbstractSolverPhaseScope solverPhaseScope)` Called by the `SolverPhase` after every step to determine if the search should stop.
`boolean` | `isSolverTerminated(DefaultSolverScope solverScope)` Called by the `Solver` after every phase to determine if the search should stop.
`void` | `setMaximumTimeMillisSpend(long maximumTimeMillisSpend)`

Methods inherited from class org.drools.planner.core.termination.AbstractTermination
`beforeDeciding, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepDecided, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeMillisSpendTermination

    public TimeMillisSpendTermination()

Method Detail

### setMaximumTimeMillisSpend

    public void setMaximumTimeMillisSpend(long maximumTimeMillisSpend)

### isSolverTerminated

    public boolean isSolverTerminated(DefaultSolverScope solverScope)

  Description copied from interface: `Termination`
  Called by the `Solver` after every phase to determine if the search should stop.

  Parameters:
    `solverScope` - never null
  Returns:
    true if the search should terminate.

### isPhaseTerminated

    public boolean isPhaseTerminated(AbstractSolverPhaseScope solverPhaseScope)

  Description copied from interface: `Termination`
  Called by the `SolverPhase` after every step to determine if the search should stop.

  Parameters:
    `solverPhaseScope` - never null
  Returns:
    true if the search should terminate.

### calculateSolverTimeGradient

    public double calculateSolverTimeGradient(DefaultSolverScope solverScope)

  Description copied from interface: `Termination`
  A timeGradient is a relative estimate of how long the search will continue. Clients that use a timeGradient should cache it at the start of a single step because some implementations are not time-stable. If a timeGradient can not be calculated, it should return -1.0. Several implementations (such a `SimulatedAnnealingAcceptor`) require a correctly implemented timeGradient.

  A Termination's timeGradient can be requested after they are terminated, so implementations should be careful not to return a timeGradient above 1.0.

  Parameters:
    `solverScope` - never null
  Returns:
    timeGradient t for which 0.0 <= t <= 1.0 or -1.0 when it is not supported. At the start of a solver t is 0.0 and at the end t would be 1.0.

### calculatePhaseTimeGradient

    public double calculatePhaseTimeGradient(AbstractSolverPhaseScope solverPhaseScope)

  Description copied from interface: `Termination`
  See `Termination.calculateSolverTimeGradient(DefaultSolverScope)`.

  Parameters:
    `solverPhaseScope` - never null
  Returns:
    timeGradient t for which 0.0 <= t <= 1.0 or -1.0 when it is not supported. At the start of a phase t is 0.0 and at the end t would be 1.0.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.